summaryrefslogtreecommitdiff
path: root/rom-desktop-entry-generator.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rom-desktop-entry-generator.sh')
-rwxr-xr-xrom-desktop-entry-generator.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/rom-desktop-entry-generator.sh b/rom-desktop-entry-generator.sh
index 01663b4..e53976e 100755
--- a/rom-desktop-entry-generator.sh
+++ b/rom-desktop-entry-generator.sh
@@ -39,9 +39,8 @@ build_desktop_file() {
echo "Skipping: No configuration exists for SYSTEM" >> "$STDOUT_LOG"
return
fi
- # FIXME this warning can have false positives
- if [ ! -e "$ROMPATH" ]; then
- echo "Warning: PATH does not exist" >> "$STDOUT_LOG"
+ if ! eval test -e "\"$ROMPATH\""; then
+ echo "Warning: PATH $ROMPATH does not exist" >> "$STDOUT_LOG"
fi
unset launcher
@@ -54,7 +53,7 @@ build_desktop_file() {
echo "Type=Application" >> "$OUTPUT"
echo "Name=$NAME" >> "$OUTPUT"
echo "Icon=${SCRIPTNAME}_${SYSTEM}_${NAME}" >> "$OUTPUT"
- echo "Exec=$launcher $flags $ROMPATH" >> "$OUTPUT"
+ echo "Exec=$launcher $flags \"$ROMPATH\"" >> "$OUTPUT"
echo "Categories=Game" >> "$OUTPUT"
}